/*
 * Class WEL_GDIP_GRAYSCALE_IMAGE_DRAWER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_132 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_132 [] = {0xFF01,1551,131,0xFFFF};
static const EIF_TYPE_INDEX egt_2_132 [] = {0xFF01,131,0xFFFF};
static const EIF_TYPE_INDEX egt_3_132 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_132 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_132 [] = {0xFF01,131,0xFFFF};
static const EIF_TYPE_INDEX egt_6_132 [] = {0xFF01,131,0xFFFF};
static const EIF_TYPE_INDEX egt_7_132 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_132 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_132 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_132 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_132 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_132 [] = {0xFF01,131,0xFFFF};
static const EIF_TYPE_INDEX egt_13_132 [] = {0xFF01,138,0xFFFF};
static const EIF_TYPE_INDEX egt_14_132 [] = {0xFF01,138,0xFFFF};
static const EIF_TYPE_INDEX egt_15_132 [] = {0xFF01,138,0xFFFF};
static const EIF_TYPE_INDEX egt_16_132 [] = {0xFF01,138,0xFFFF};


static const struct desc_info desc_132[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_132), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_132), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_132), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_132), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_132), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_132), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_132), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_132), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_132), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_132), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_132), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_132), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0107 /*131*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_132), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3673, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3674, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3675, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3676, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_132), 3677, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_132), 3678, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_132), 3679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_132), 3680, 0xFFFFFFFF},
};
void Init132(void)
{
	IDSC(desc_132, 0, 131);
	IDSC(desc_132 + 1, 1, 131);
	IDSC(desc_132 + 32, 380, 131);
}


#ifdef __cplusplus
}
#endif
